org.apache.pdfbox.io

## Interface SequentialRead

All Superinterfaces:
  AutoCloseable, Closeable

    public interface SequentialRead
    extends Closeable

An interface allowing sequential read operations.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `read()` Read a single byte of data.
`int` `read(byte[] b)` Read a buffer of data.
`int` `read(byte[] b, int offset, int length)` Read a buffer of data.

### Methods inherited from interface java.io.Closeable

`close`

### Method Detail

#### read

    int read()
      throws IOException

Read a single byte of data.

Returns:
  The byte of data that is being read.
Throws:
  `IOException` - If there is an error while reading the data.

#### read

    int read(byte[] b)
      throws IOException

Read a buffer of data.

Parameters:
  `b` - The buffer to write the data to.
Returns:
  The number of bytes that were actually read.
Throws:
  `IOException` - If there was an error while reading the data.

#### read

    int read(byte[] b,
             int offset,
             int length)
      throws IOException

Read a buffer of data.

Parameters:
  `b` - The buffer to write the data to.
  `offset` - Offset into the buffer to start writing.
  `length` - The amount of data to attempt to read.
Returns:
  The number of bytes that were actually read.
Throws:
  `IOException` - If there was an error while reading the data.